### Function

# Gck Builder new

#### Declaration [src]

    GckBuilder*
    gck_builder_new (
      GckBuilderFlags flags
    )

#### Description [src]

Create a new `GckBuilder` not allocated on the stack, so it can be shared across a single scope, and referenced / unreferenced.

Normally a `GckBuilder` is created on the stack, and simply initialized.

If the `GCK_BUILDER_SECURE_MEMORY` flag is specified then non-pageable memory will be used for the various values of the attributes in the builder.

#### Parameters

`flags`

  Type: `GckBuilderFlags`

  Flags for the new builder.

#### Return value

Type: `GckBuilder`

A new builder, to be freed with gck_builder_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.